from plone.dexterity.content import Container
from plone.supermodel import model
from zope.interface import implementer


class IUserProfileContainer(model.Schema):
    """
    Marker interface for userprofile container
    """


@implementer(IUserProfileContainer)
class UserProfileContainer(Container):
    """
    A (singleton) folder to contain Userprofile instances
    """
